part of firebase_model_notifier.dynamic_links.others;

class FirebaseDynamicLinksUrlCore {
  const FirebaseDynamicLinksUrlCore._();

  /// Create a URL for Dynamic Link.
  ///
  /// Create a URL to access [path].
  ///
  /// [path]: Path to create.
  /// [options]: Firestore dynamiclink options.
  /// [socialTitle]: Social media title.
  /// [socialImageURL]: Social image url.
  /// [socialDescription]: Social media description.
  static Future<String> create(
    String path, {
    required FirebaseDynamicLinksOptions options,
    String? socialDescription,
    String? socialImageURL,
    String? socialTitle,
  }) async {
    final dynamicLinks = read(firebaseDynamicLinksUrlProvider(path));
    return dynamicLinks.create(
      options: options,
      socialDescription: socialDescription,
      socialImageURL: socialImageURL,
      socialTitle: socialTitle,
    );
  }
}
